Subject: Windows 95/98 crash-on-halt: atempted solution (3.4.1)

From: Jan Wielemaker <[email-masked]>
Date: Tue, 24 Oct 2000 17:34:30 +0200

Hi,

I've uploaded SWI-Prolog 3.4.1 to

	ftp://swi.psy.uva.nl/pub/SWI-Prolog/BETA/w32pl341.exe

Most likely, this will fix the long-standing crashes of Prolog
and/or Windows when leaving plwin.exe.  I've made the new laptop
of a colleque crash many times but finally the diagnosis is
that shutting down the window-thread caused a new ExitProcess()
while the process was already terminating.  Appearently Windows-NT
can handle that, but 95 and 98 not.  Whether this condition happens
depends on timing, hence the problems reproducing it.

Sofar the theory and tests on one machine.  Try it on yours and
let me know whether it helps (NO WARRANTEE!)

For people liking the source: the source is in the ftp-archive, but
not on the web-page until I get some positive feedback.

	Regards --- Jan